> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twitterapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Space Detail

> Get spaces detail by space id



## OpenAPI

````yaml get /twitter/spaces/detail
openapi: 3.0.1
info:
  title: TwitterAPI.io the most stable/fastest/cheapest twitter api.
  description: Provide the most stable/fastest/cheapest twitter api.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.twitterapi.io
security:
  - ApiKeyAuth: []
paths:
  /twitter/spaces/detail:
    get:
      description: Get spaces detail by space id
      parameters:
        - name: space_id
          in: query
          description: The id of the space
          schema:
            type: string
            format: string
      responses:
        '200':
          description: Spaces detail
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SpacesDetail'
                  status:
                    type: string
                    description: Status of the request.success or error
                    enum:
                      - success
                      - error
                  msg:
                    type: string
                    description: Message of the request.error message
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SpacesDetail:
      type: object
      properties:
        id:
          type: string
          description: Space ID
        title:
          type: string
          description: Title of the Space
        state:
          type: string
          description: State of the Space, e.g. NotStarted/Live/Ended
        created_at:
          type: string
          description: 'When the Space was created. Example: 2025-12-13T05:54:20.327000Z'
        scheduled_start:
          type: string
          description: Scheduled start time of the Space
        updated_at:
          type: string
          description: When the Space was last updated
        media_key:
          type: string
          description: Media key associated with the Space
        is_subscribed:
          type: boolean
          description: Whether the current user is subscribed to the Space
        settings:
          type: object
          description: Settings of the Space
          properties:
            conversation_controls:
              type: integer
              description: Conversation control type
            disallow_join:
              type: boolean
              description: Whether users are disallowed from joining
            is_employee_only:
              type: boolean
              description: Whether only employees can join
            is_locked:
              type: boolean
              description: Whether the Space is locked
            is_muted:
              type: boolean
              description: Whether the Space is muted
            is_space_available_for_clipping:
              type: boolean
              description: Whether the Space is available for clipping
            is_space_available_for_replay:
              type: boolean
              description: Whether the Space is available for replay
            no_incognito:
              type: boolean
              description: Whether incognito mode is disabled
            narrow_cast_space_type:
              type: integer
              description: Narrow cast space type
            max_guest_sessions:
              type: integer
              description: Maximum number of guest sessions allowed
            max_admin_capacity:
              type: integer
              description: Maximum number of admins allowed
        stats:
          type: object
          description: Statistics of the Space
          properties:
            total_replay_watched:
              type: integer
              description: Total number of replay views
            total_live_listeners:
              type: integer
              description: Total number of live listeners
            total_participants:
              type: integer
              description: Total number of participants
        creator:
          type: object
          description: Creator of the Space
          properties:
            id:
              type: string
              description: User ID of the creator
            name:
              type: string
              description: Display name of the creator
            userName:
              type: string
              description: Username (handle) of the creator
            location:
              type: string
              description: Location of the creator
            url:
              type: string
              description: URL in creator profile, may be null
            description:
              type: string
              description: Profile description of the creator
            protected:
              type: boolean
              description: Whether the creator's tweets are protected
            isVerified:
              type: boolean
              description: Whether the creator is legacy verified
            isBlueVerified:
              type: boolean
              description: Whether the creator has Twitter Blue verification
            verifiedType:
              type: string
              description: Type of verification, may be null
            followers:
              type: integer
              description: Number of followers
            following:
              type: integer
              description: Number of following
            favouritesCount:
              type: integer
              description: Number of favorites
            statusesCount:
              type: integer
              description: Number of status updates
            mediaCount:
              type: integer
              description: Number of media posts
            createdAt:
              type: string
              description: When the creator account was created
            coverPicture:
              type: string
              description: URL of the cover picture
            profilePicture:
              type: string
              description: URL of the profile picture
            canDm:
              type: boolean
              description: Whether the creator can receive DMs
            affiliatesHighlightedLabel:
              type: object
              description: Affiliate label information, may be empty object
            isAutomated:
              type: boolean
              description: Whether the account is automated
            automatedBy:
              type: string
              description: The account that automated this account, if any
        participants:
          type: object
          description: Participants of the Space grouped by role
          properties:
            admins:
              type: array
              items:
                type: object
                description: Admin participant
                properties:
                  id:
                    type: string
                    description: User ID of the participant, may be null
                  name:
                    type: string
                    description: Display name of the participant
                  userName:
                    type: string
                    description: Username (handle) of the participant
                  location:
                    type: string
                    description: Location of the participant, may be null
                  url:
                    type: string
                    description: URL in participant profile, may be null
                  description:
                    type: string
                    description: Profile description, may be null
                  protected:
                    type: boolean
                    description: Whether the participant's tweets are protected
                  isVerified:
                    type: boolean
                    description: Whether the participant is legacy verified
                  isBlueVerified:
                    type: boolean
                    description: Whether the participant has Twitter Blue verification
                  verifiedType:
                    type: string
                    description: Type of verification, may be null
                  followers:
                    type: integer
                    description: Number of followers
                  following:
                    type: integer
                    description: Number of following
                  favouritesCount:
                    type: integer
                    description: Number of favorites
                  statusesCount:
                    type: integer
                    description: Number of status updates
                  mediaCount:
                    type: integer
                    description: Number of media posts
                  createdAt:
                    type: string
                    description: When the participant account was created, may be null
                  coverPicture:
                    type: string
                    description: URL of the cover picture, may be null
                  profilePicture:
                    type: string
                    description: URL of the profile picture
                  canDm:
                    type: boolean
                    description: Whether the participant can receive DMs
                  affiliatesHighlightedLabel:
                    type: object
                    description: Affiliate label information, may be empty object
                  isAutomated:
                    type: boolean
                    description: Whether the account is automated
                  automatedBy:
                    type: string
                    description: The account that automated this account, if any
                  participant_info:
                    type: object
                    description: Space-specific participant information
                    properties:
                      periscope_user_id:
                        type: string
                        description: Periscope user ID of the participant
                      start_time:
                        type: string
                        description: When this participant joined the Space
                      is_muted_by_admin:
                        type: boolean
                        description: Whether the participant is muted by an admin
                      is_muted_by_guest:
                        type: boolean
                        description: Whether the participant is muted by themselves
            speakers:
              type: array
              description: Speaker participants (same structure as admins)
              items:
                type: object
                description: Admin participant
                properties:
                  id:
                    type: string
                    description: User ID of the participant, may be null
                  name:
                    type: string
                    description: Display name of the participant
                  userName:
                    type: string
                    description: Username (handle) of the participant
            listeners:
              type: array
              description: Listener participants (same structure as admins)
              items:
                type: object
                description: Listener participant
                properties:
                  id:
                    type: string
                    description: User ID of the participant, may be null
                  name:
                    type: string
                    description: Display name of the participant
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````